Package com.pixelmed.dicom

# Class StoredFilePathStrategySingleFolder

java.lang.Object
com.pixelmed.dicom.StoredFilePathStrategy
com.pixelmed.dicom.StoredFilePathStrategySingleFolder

public final class StoredFilePathStrategySingleFolder extends StoredFilePathStrategy

Store files in a single folder, using the SOP Instance UID as the filename.

This is not a good strategy, since having too many files in a single folder degrades performance, or bump up against limits, like Linux ext2 31998 sub-folders per inode, but is acceptable for modest numbers of images.

It is the default strategy when not otherwise specified, since it was the original strategy supported in earlier versions of the toolkit.

## Field Summary

### Fields inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`BYSOPINSTANCEUIDCOMPONENTFOLDERS, BYSOPINSTANCEUIDHASHSUBFOLDERS, BYSOPINSTANCEUIDINSINGLEFOLDER, defaultAlternativeSubfolder`

## Constructor Summary

Constructors
Constructor
Description
`StoredFilePathStrategySingleFolder()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Perform self test.
`String`
`makeStoredFilePath(String sopInstanceUID)`
Generate a path to where to store a file based on its SOP Instance UID.
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.StoredFilePathStrategy

`getDefaultStrategy, makeAlternativeStoredFilePath, makeReliableStoredFilePathWithFoldersCreated, makeReliableStoredFilePathWithFoldersCreated, makeStoredFilePath, setDebugLevel, test`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StoredFilePathStrategySingleFolder

public StoredFilePathStrategySingleFolder()

## Method Details

### makeStoredFilePath

public String makeStoredFilePath(String sopInstanceUID)
Description copied from class: `StoredFilePathStrategy`

Generate a path to where to store a file based on its SOP Instance UID.

Overrides:
  `makeStoredFilePath` in class `StoredFilePathStrategy`
Parameters:
  `sopInstanceUID` - the SOP Instance UID of the instance to be saved
Returns:
  the path to the file, which may contain nested sub-folders

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] arg)

Perform self test. If arguments are given, then use then as test UIDs. If no arguments, then use internal test UIDs.